# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Changed

- Changed campaign id type to REAL from INTEGER to include 7.5th campaign

### Fixed

- Fixed 7th campaign end date

## [1.0.0] - 2025-01-27

### Added

- `create_database`(formally `create_database_from_exported_csvs`) now can save a JLD2 cache to store parsed slave logs.
- Docs: add index page for published notebooks
- Added converter git version info (`git describe --dirty`) and build datetime info to the database and JLD2 cache.

### Changed

- Renamed `create_database_from_exported_csvs` to `create_database` and `create_database` to `create_empty_database`. (!1423)
- Exported `create_database`
- In `DispatchChecker.interactive_dispatch_checker`, printed results are now sorted by runid.

### Deleted

- Extension package for InteractiveUtils

## [0.5.1] - 2025-01-23

### Fixed

- Fixed BCID fail threshold for dispatch checker(#17)

## [0.5.0] - 2025-01-23

Release for 7th campaign dispatching.

### Added

- QAQC progress plot notebook
- (notebook) PLLLD wait time scan
- Added QAQC campaign 7 to the database
- Added slave log validity columns to single and extra run result tables (!1418)

### Changed

- Separate notebook environment from main environment
- Modified ppconfig_error_analysis & pllld_count for new results

### Fixed

- Fixed wrong variable name ([!1414](https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/merge_requests/1414))

## [0.4.0] - 2024-12-12

Release for 6th campaign dispatching.

### Added

- 6th Campaign
- PLLLD fail count analysis
- Analysis on reset_failed_though_reconfig_done (8b7902311caebab3b4714d7e56557ec340ac2ad7)

### Changed

- Added Manifest.toml to git management and removed CI for 1.10 since Manifest is resolved with 1.11 and is not compatible with 1.10 (1f6dcf2f245ad1537728052bc78bf2a40a2decab)
- Updated stats of skew, power results for campaign 6 (!1413)
- Add new dispatch criteria for campaign 6 (4924c5fdd6452a1df9ee95136cdb2c9f46191f68)

## [0.3.1] - 2024-11-14

### Added

- Add result browser queried with runid to get_results notebook
- PPConfig_error analysis notebook

### Changed

- Renamed files which define modules to their names
- Updated skew analysis

## [0.3.0] - 2024-11-12

### Added

- Add `SlaveLogParser` module which contains parser of JATHub slave log
- Add slave log asdtp section parser
- Add slave log power section parser
- Add example Pluto notebook for power result analysis
- Add tutorial documentation
- Add tutorial for DispatchChecker and simple result browser

### Changed

- Exported notebooks are now deployed under notebooks url
- Moved examples in index.md of documentation to a dedicated page

### Fixed

- Converter version is filled during `create_database_from_exported_csvs`

## [0.2.0] - 2024-10-23

- Julia v1.11 was released and v1.10 is new LTS
- This package will support both of them

### Added

- Add `versions` table to store version information of converter(this software)
- Add `skew` column to `qaqc_positions` table
- Add `DownloadCSVs` module and functions which downloads the latest CSVs from Google sheets
- Add `ClockParser` module and `get_skew` function
- Add `lvds_tx_skew` column to `qaqc_single_run_result` table and related functions in `import_data.jl`
- Add example Pluto notebook which plots clock skew histogram
- Add `count_riseup` to count rise up in clock result
- Add example app using Pluto
- Add `DispatchChecker` module
- Add `is_dispatchable` which checks given PSBoard is ready to dispatch
- Add `interactive_dispatch_checker` which provide interactive session for QAQC

### Changed

- Set download functions in `DownloadCSVs` as default CSV locations in `create_database_from_exported_csvs`
- Replaced CSV files used in test to newly add `DownloadCSVs` functions
- `create_database_from_exported_csvs` now requires `slavelog_dir` to get skew from slave logs
- CI runs on v1.10 and v1.11

### Deleted

- CSV files manually exported from Google Sheets

## [0.1.0]

### Added

- Function to convert exported QAQC result CSV files and QAQC JATHub master logs to SQLite database.
- Docs on the database and example of querying the database.
- Docs on the internal (Julia implementation)

[unreleased]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v1.0.0...main
[1.0.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.5.1...v1.0.0
[0.5.1]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.5.0...v0.5.1
[0.5.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.4.0...v0.5.0
[0.4.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.3.1...v0.4.0
[0.3.1]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.3.0...v0.3.1
[0.3.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.2.0...v0.3.0
[0.2.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.1.0...v0.2.0
[0.1.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/~/tags/v0.1.0
